phing-system-io

# Class: FileWriter Source Location: /system/io/FileWriter.php
### Class Overview
    Writer
       |
       --OutputStreamWriter
          |
          --FileWriter
Convenience class for performing file write operations. | ### Methods __construct
### Inherited Variables #### Class: OutputStreamWriter OutputStreamWriter::$outStream | ### Inherited Methods #### Class: OutputStreamWriter OutputStreamWriter::__construct() Construct a new OutputStreamWriter. OutputStreamWriter::close() Close the stream. OutputStreamWriter::flush() Flush output to the stream. OutputStreamWriter::getResource() Gets a string representation of attached stream resource. OutputStreamWriter::write() Write char data to stream. #### Class: Writer Writer::close() Close the stream. Writer::flush() Flush the stream, if supported by the stream. Writer::getResource() Returns a string representation of resource filename, url, etc. that is being written to. Writer::write() Writes data to output stream.
### Class Details [line 30] Convenience class for performing file write operations. [ Top ] ### Class Methods ### constructor __construct [line 37]
`FileWriter __construct( mixed $file, [boolean $append = false])`
Construct a new FileWriter. Overrides OutputStreamWriter::__construct() (Construct a new OutputStreamWriter.) #### Parameters:
mixed | $file | PhingFile or string pathname.
boolean | $append | Append to existing file?
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:50:59 +0200 by phpDocumentor 1.4.3